import {
  uploadQuery,
} from "../publicMethod/PublicMethod.js";
import publicApi from "../api/publicApi";
import { request } from "../globalConfiguration";
/**
 * 头像上传
 * @param {*} data 在formData中
 * file 图片
 * @param {*} params 在params中
 * id 用户id
 * @param {*} config 配置项
 * @returns 
 */
function uploadAvatar(data,params, config = {}){
  return request(
    uploadQuery(data,params,publicApi.uploadAvatar,config)
  )
}

/**
 * 基础数据 角色列表
 * @param {*} data 不用传参数
 * @param {*} onfig 
 * @returns 
 */
function rolesList(data,onfig = {}){
  return request(
    singleQuery(data,publicApi.rolesList,config)
  )
}

export {uploadAvatar,rolesList}